Error otrs.Console.pl TimeZone Olson Database different Version

Moderator: crythias

Post Reply
hukrause
OTRS newbie
Posts: 6
Joined: 17 Dec 2014, 13:22
OTRS Version?: 4.0.24
Real Name: Hubert Krause

Error otrs.Console.pl TimeZone Olson Database different Version

Post by hukrause » 16 Feb 2018, 11:27

Hello List,

there is a nasty error message witch fill up my logs:

Code: Select all

Feb 16 08:03:12 50sv-otrs-test OTRS-otrs.Console.pl-Maint: :Emai [Error][Kernel::System::Daemon::DaemonModules::BaseTaskWorker::_HandleError][Line:52]: There was an error executing Execute() in Kernel::System::Console::Command::Maint::Email::MailQueue: [Fri Feb 16 08:03:12 2018] otrs.Daemon.pl: Loaded DateTime::TimeZone::Europe::Berlin, which is from a different version (2018b) of the Olson database than this installation of DateTime::TimeZone (2017c).
Feb 16 08:10:14 50sv-otrs-test OTRS-otrs.Console.pl-Maint: :Tick [Error][Kernel::System::Daemon::DaemonModules::BaseTaskWorker::_HandleError][Line:52]: There was an error executing Execute() in Kernel::System::Console::Command::Maint::Ticket::EscalationCheck: [Fri Feb 16 08:10:13 2018] otrs.Daemon.pl: Loaded DateTime::TimeZone::Europe::Berlin, which is from a different version (2018b) of the Olson database than this installation of DateTime::TimeZone (2017c).
My plattform is Debian 9. My OTRS release is 6.0.3

Any Ideas?

Best regards,

Hubert

Noor4moo
OTRS newbie
Posts: 3
Joined: 07 May 2018, 17:08
OTRS Version?: 6.0.11

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by Noor4moo » 07 May 2018, 17:54

Hello,

i've got a similar problem with OTRS 6.0.6 on Debian Stretch after upgrading two packages:

libdatetime-timezone-perl
from 1:2.09-1+2018d
to 1:2.09-1+2018e

tzdata
from 2018d-0+deb9u1
to 2018e-0+deb9u1

Code: Select all

otrs.Daemon.pl: Loaded DateTime::TimeZone::Europe::Berlin,
which is from a different version (2018e) of the Olson database than this installation of
DateTime::TimeZone (2018d).
even a reboot did not help.

Noor4moo
OTRS newbie
Posts: 3
Joined: 07 May 2018, 17:08
OTRS Version?: 6.0.11

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by Noor4moo » 11 May 2018, 15:51

Noor4moo wrote: i've got a similar problem with OTRS 6.0.6 on Debian Stretch after upgrading two packages:
tried it again today, this time there are no problems....

aeg
OTRS newbie
Posts: 41
Joined: 02 Mar 2017, 15:53
OTRS Version?: 5.0.4

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by aeg » 05 Jul 2018, 12:51

I am getting,
"otrs.Daemon.pl: Loaded DateTime::TimeZone::Atlantic::Reykjavik, which is from an older version (2017b) of the Olson database than this installation of DateTime::TimeZone (2013h)."

any ideas how to resolve the issue?

Noor4moo
OTRS newbie
Posts: 3
Joined: 07 May 2018, 17:08
OTRS Version?: 6.0.11

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by Noor4moo » 22 Oct 2018, 14:17

same problem again after today's debian updates for the packages tzdata and libdatetime-timezone-perl :(

michael6767
OTRS newbie
Posts: 2
Joined: 09 Dec 2014, 18:15
OTRS Version?: 6.0.10

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by michael6767 » 03 Dec 2018, 09:40

I run into the same problem after a debian update, did anybody found a solution?

EDIT:
Upgraded from 6.0.10 to 6.0.14 -> PROBLEM SOLVED
Last edited by michael6767 on 06 Dec 2018, 09:03, edited 1 time in total.

adrijang
OTRS newbie
Posts: 18
Joined: 26 Apr 2010, 19:21
OTRS Version?: 4.0.3

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by adrijang » 03 Dec 2018, 17:57

Hi!

I have the same problem, also after an update:

Code: Select all

[Mon Dec  3 16:55:04 2018] otrs.Daemon.pl: Loaded DateTime::TimeZone::Europe::Madrid, which is from an older version (2018g) of the Olson database than this installation of DateTime::TimeZone (2018e).
Any clues on how to solve it?
It's flooding with notifications.

Thanks!

EDIT:
Upgraded from 6.0.0 to 6.0.14 -> PROBLEM SOLVED
Last edited by adrijang on 03 Dec 2018, 20:30, edited 1 time in total.

root
Moderator
Posts: 1349
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by root » 03 Dec 2018, 18:21

Hi,

Does anybody with the latest patch level release (6.0.14) still have this problem?

- Roy
OTRS 4/5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

You need professional services? Check out https://www.znuny.com/

adrijang
OTRS newbie
Posts: 18
Joined: 26 Apr 2010, 19:21
OTRS Version?: 4.0.3

Re: Error otrs.Console.pl TimeZone Olson Database different Version

Post by adrijang » 03 Dec 2018, 20:30

root wrote:
03 Dec 2018, 18:21
Hi,

Does anybody with the latest patch level release (6.0.14) still have this problem?

- Roy
Upgraded to that patch level, problem solved. Thank you very much!

Post Reply